
<!Doctype html>
<html>

<head>
    
<script src="https://cdn.jsdelivr.net/jquery/1.12.4/jquery.min.js"></script>
 <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
  
       <!-- for ajax cdn  -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>


<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.0/jquery.min.js"> </script>  
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.0/jquery.validate.min.js"> </script>  

<script src="https://cdn.jsdelivr.net/jquery/1.12.4/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.1/jquery.validate.min.js"></script>


</head>

<body>


    <!-- signup page html code start -->

    <div class="container-fluid my-0 py-5 bg-info">
        <div class="container">
            <div class="d-flex flex-row justify-content-center ">

                <div class="col-6">

                    <div class="mb-3 ">

                        <div class="bg-white  border border-top-0 p-3 rounded">
                            <div class="row">
                            <div class="col-lg-12 ">
                                <h4 class="text-center">ADD USER</h4>

                                


                                            <?php


                                            echo $this->Form->create('Crud',['id'=>'myform']);
                                            
                                            echo $this->Form->hidden('uid'); 

                                            echo $this->Form->input('name');
                                            echo $this->Form->input("mobile");
                                            echo $this->Form->input('email');
                                            // echo $this->Form->input("password");

                                            // <!-- <tr class='col-12 '>
                                                
                                                        // <th>
                                            echo $this->Form->radio('gender',['male'=>'male','female'=>'female'],['legend'=>false]); 
                                                         
                                                        
                                                        //</th>
                                                        //<th>
                                                        // </th>
                                                
                                            //    </tr> -->

                                        ?>

                               

                                    

                                    
                                
                            
                                
                            
                               <table class="mt-5">
                                          

                                                  
                                                
                                                    <?php $options = ['telugu'=>'telugu','english'=>'english','hindi'=>'hindi',]   ?>
                                                    <tr class='col-12 '>
                                                
                                                    <td>
                                                    <?php  echo $this->Form->input('language',['multiple'=>'checkbox','options'=>$options]);    ?>

                                                    </td>
                                                    
                                                    </tr>


                                                <tr class='col-12 '>
                                                
                                                    <th>
                                                          <?php  echo $this->Form->select('states_id',[$st],['empty'=>'--select--','label'=>true]);  
                                                          
                                                          
                                                          ?>

                                                          
                                                    </th>
                                                    
                                                    
                                                </tr>


                                </table>

                                   <?php  echo $this->Form->submit('submit',['class'=>'ml-2 btn btn-primary']);
                                                          
                                          echo $this->Form->end(); 
                                    ?>



                            </div>

                        </div>


                    </div>
                </div>

                </div>



            </div>



        </div>



        


<script>

            $(document).ready(function () {


            // $( "#myform" ).on( "submit", function(e) {

            //     var em = $("#em").val();
            //     var ps = $("#ps").val();

            //     $.ajax({
                    
            //         method: 'POST',
            //         url:"Crud/login",
            //         data: {em:em,ps:ps},
            //         <?php //$this->extend('reguser'); ?>


            //         success:function(d){
            //             // $("#add").html(d);
            //             if(d == 1){

            //                 // window.open('Rbc/dash');
            //                 window.location = 'Crud/profile';

            //             }else{

            //                 alert('you have enter wrong credentials');
            //             }
            //         }
                    
            //     });	

            //     e.preventDefault();


            // });

            $("#myform").validate({


                rules: {

                
                'data[Crud][name]': {
                    required: true
                    
                },

                'data[Crud][mobile]': {
                    required: true

                },

                'data[Crud][email]': {
                    required: true,
                    email: true


                },

                'data[Crud][password]': {
                    required: true

                },
                'data[Crud][gender]':{
                    required: true

                },
                'data[Crud][language][]':{
                    required: true
                },
                'data[Crud][states_id]':{
                    required: true
                }

            },

                messages: {
                   
                'data[Crud][name]': "* Please enter name ",
                'data[Crud][mobile]': "* Please enter mobile ",
                'data[Crud][email]': "* Please enter email ",
                'data[Crud][password]': "* Please enter pass ",
                'data[Crud][gender]':"* select your gender",
                'data[Crud][language][]':'* select atleast one language',
                'data[Crud][states_id]':'* select state'
                

                }


            });


            });

       



</script>

      </body>
    <html>
    

